Bug 7168 - A few missing man pages
A few missing man pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rsh (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
http://www.aq.org/~js/RH6.1-problems....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-19 23:51 EST by Jay Sekora
Modified: 2015-03-04 20:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-06 06:14:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rexec(1) man page Makefile patch. (604 bytes, patch)
2000-07-16 12:43 EDT, Pekka Savola
no flags Details | Diff
rsh spec file patch to enable rexec(1) man pages (246 bytes, patch)
2000-07-16 12:44 EDT, Pekka Savola
no flags Details | Diff
nfs-utils man page patch for /sbin/{statd,lockd} (784 bytes, patch)
2000-07-16 12:44 EDT, Pekka Savola
no flags Details | Diff

  None (edit)
Description Jay Sekora 1999-11-19 23:51:04 EST
(Most of these are not in the man-pages RPM, but I didn't want to submit
lots of separate bug reports.)

* The man page for statd(8) is slightly wrong (it refers to
  /usr/sbin/rpc.lockd and /usr/sbin/rpc.statd, but those binaries are in
  /sbin), and there's no man page for lockd(8).

* The EXMH documentation is divided into multiple man pages, including
  exmh(1), exmh-use(1), exmh-ref(1), and exmh-custom(1). Only the man
  page for exmh(1) is included in the RedHat 6.1 EXMH rpm (exmh-2.0.3-2);
  the others are missing. (That was the case under RedHat 5.2 also.)

* The command `man -k clock' includes in its output
    clock (8)            - query and set the hardware clock (RTC)
  and setclock(8) also refers to clock(8), but `man 8 clock' says `No
  entry for clock in section 8 of the manual', and sure enough, there's
  no clock.8 under /usr/man.

* There are no man pages for rhosts(5) or hosts.equiv(5).
Comment 1 Cristian Gafton 2000-05-22 11:02:59 EDT
assigned to teg
Comment 2 Trond Eivind Glomsrxd 2000-05-30 12:24:59 EDT
I've fixed timeconfig (bad clock(8) references)

Exmh doesn't include those files

I'm binding it to a different component, as stad is part of nfs-utils

PS: Please submit multiple bugs instead of one big report. TIA.
Comment 3 Pekka Savola 2000-07-16 12:38:37 EDT
rhosts and rhosts.equiv man pages don't exist in Linux distribution of those tools.

rexec(1) man page is missing from the RPM though.  There are two reasons; rexec
patch for 0.10 uses $MANDIR in a different sense than expected, and SPEC file
has a missing entry.  Patched attached.

lockd man page is there in nfs-utils-0.1.8-2.  statd and lockd point to wrong
places.  Patch attached.


Comment 4 Pekka Savola 2000-07-16 12:43:13 EDT
Created attachment 1187 [details]
rexec(1) man page Makefile patch.
Comment 5 Pekka Savola 2000-07-16 12:44:04 EDT
Created attachment 1188 [details]
rsh spec file patch to enable rexec(1) man pages
Comment 6 Pekka Savola 2000-07-16 12:44:53 EDT
Created attachment 1189 [details]
nfs-utils man page patch for /sbin/{statd,lockd}
Comment 7 Cristian Gafton 2000-08-08 22:36:06 EDT
assigned to johnsonm
Comment 8 Alan Cox 2002-12-13 20:35:32 EST
rexec man page still missing as is man 5 rhosts

Others seem ok
Comment 9 Phil Knirsch 2003-05-06 06:14:02 EDT
Erh, can't find the rhosts(5) manpage anywhere at all... Rest of the manpages
are there though, so closing the bug.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.